---
title: "leaving social media (or most of them)"
pubDate: 'July 08 2024'
description: ""
draft: false
---
## why

For the past 2-3 years I've wanted to get out of the big social media platforms, due to there being [a new scandal almost every week](https://www.dedigitaletuin.nl/facebook-en-meta-schandalen/) about some privacy violations, free speech censoring, and so on. I've become more aware of my personal data the past years since joining [friByte](https://fribyte.no), and don't want to have my next decade saved on the servers of big-tech in the same way my last decade was.

Deleting platforms like Twitter/X, Reddit or YouTube wasn't that hard, but when it came to Facebook and Instagram it was more tough. This is because it's so deeply integrated to peoples lives where I'm from, and Facebook Messenger is the main way of communicating.

But, with recent news about Meta wanting to train AI on our data and [AI-experts saying they're deleting Facebook](https://www.tv2.no/nyheter/innenriks/ki-ekspert-na-sletter-jeg-facebook/16732885/), it's been easier getting people to understand my reasoning and want to delete my profile from these platforms.

Other reasons besides those mentioned above are for example that I don't want to keep ending up doomscrolling the same old stuff. It's just the fear of missing out making me stay longer. I want to spend my time better; read a book, meet friends, or touch grass lol. Additionally, I don't want to be *the product* anymore; like Jaron Lanier says better in the documentary film about social media, [*"The Social Dilemma"*](https://www.thesocialdilemma.com/):

> *"It's the gradual, slight, imperceptible change in your own behavior and perception that is the product."*

#### privacy & why it matters

I wanted to include a "little" paragraph in this section as well about why privacy matters and give a few links to read/watch as well. Starting of there's a ton of reasons why privacy matters, like safeguarding personal information, preserving autonomy and freedom, or building trust. 

A good example of why privacy is something we need to protect is mentioned in Inga Strümkes book, [*"Maskiner som tenker"*](https://www.ark.no/produkt/boker/dokumentar-og-faktaboker/maskiner-som-tenker-9788248932505), on page 248. She tells us how we saw that different states in USA introduced prohibition of abortition after 2022, and it didn't take long before we knew how our digital footprint, that we leave behind every day without thinking, can be used to find out if a woman have had an abortion in a state where it's illegal. 

Like many people have said that they *"don't have anything to hide"*, a lot of people do. I like how Snowden puts it in his book on page 208, [*"Permanent Record"*](https://www.ark.no/produkt/boker/dokumentar-og-faktaboker/permanent-record-9781529035698):

> *"There is, simply, no way to ignore privacy. Because a citizenry's freedom are interdependent, to surrender your own privacy is really to surrender everyone's. You might choose to give it up out of convenience, or under the popular pretext that privacy is only required by those who have something to hide. But saying that you don't need or want privacy because you have nothing to hide is to assume that no one should have, or could have, to hide anything--including their immigration status, unemployment history, financial history, and health records. You're assuming that no one, including yourself, might object to revealing to anyone information about their religious beliefs, political affiliations, and sexual activities, as casually as some choose to reveal their movie and music tastes and reading preferences."*

If you want to read more about why it matters or how it affects you, I recommend checking out the following stuff:

- The website [Ledger of Harms](https://ledger.humanetech.com/)
- The Wikipedia page about the [Facebook–Cambridge Analytica data scandal](https://en.wikipedia.org/wiki/Facebook%E2%80%93Cambridge_Analytica_data_scandal), and the documentary about it called [*"The Great Hack"*](https://en.wikipedia.org/wiki/The_Great_Hack)
- The blog-post ["*How Privacy Has Become Increasingly Important*"](https://yuricunha.bearblog.dev/how-privacy-has-become-increasingly-important/) by Yuri Cunha
- The book [*"Permanent Record"*](https://www.ark.no/produkt/boker/dokumentar-og-faktaboker/permanent-record-9781529035698) by Edward Snowden, and the movie about his whisteblowing of NSAs mass surveillance called [*"Snowden"*](https://en.wikipedia.org/wiki/Snowden_(film))

## how 

Well first of all, I need to try my best not to lose personal connections. This decision has highlighted their importance to me, and I made a plan to reach out to them via Messenger or other platforms, and:

1. Let them know I am leaving the platforms
2. Explain why I am leaving 
3. Exchange non-social-media contact information, like email or my \#
4. Introduce them to [Signal](https://signal.org)

I also wanted to keep a few images and stuff, so I downloaded my data on the platforms. Since there is a few features that I needed to replace, I thought why not make a list to show of to others as well? I got help and other ideas from friends, as well as [opguides.info](https://opguides.info/engineering/networking/privacy/) and [theprivacydad.com](https://theprivacydad.com).


|Feature|My Replacement|
|---|---|
|Messages|[Signal](https://signal.org), regular SMS and email|
|Profile page|[This website](/)|
|Sharing updates and opinions|Posting on [this blog](/blog)|
|Keeping up with the news|Using an RSS reader|
|Database of people|Making my own, currently in a csv-file lol|
|Sharing artistic photos, sometimes|Posting in [this gallery](/gallery)|
|My personal photos with friends and family|Moved them to an SSD|
|Hosting Events|Email or SMS invitations with maybe an online form for RSVPs|
|Birthdays|Added the most important ones to my calendar|
|Saved posts and links|I already have my [bookmarks](/bookmarks)|
|Groups|Most of these are dead tbh, but I moved some over to Snapchat at the time being..|

## what's next? 

Well, I'm not done with the internet ahahah! I've got this super cool website which I'll continue working on and I've started joining [*webrings*](https://webring.xxiivv.com/#sid) (I even [made one myself](/blog/i-made-a-webring/)).

Currently I still use Snapchat and LinkedIn, due to needing groups someplace and that I'm starting my professional career at the moment so I feel like I should use LinkedIn a bit longer. But, in the end I want to get rid of these two as well.

Of course I'm going to miss some stuff, like the anime-motivational short videos with so many good quotes, but I've been up'ing my RSS-usage and keep looking for interesting blogs around the internet using sites like [bearblog.dev](https://bearblog.dev/discover).

Also, on a finishing note I just want to say that I don’t judge others who continue to benefit from social media platforms, get happiness out of using some or all of them. What’s meaningsless for me, might be meaningful for them.

> **PS:** *If I forgot to reach out to you about leaving these platforms and/or you don't have any of my contact info, please visit my [contact](/contact)-page!*